Subject: Re: [PATCHv2 1/3] mpc52xx/wdt: OF property to enable the WDT on boot

From: Albrecht Dreß <[email-masked]>
Date: Thu, 12 Nov 2009 21:33:19 +0100

Hi Grant!

Am 12.11.09 20:06 schrieb(en) Grant Likely:
> > +The watchdog will respect the CONFIG_WATCHDOG_NOWAYOUT option.
> 
> I think it would be better to use a device tree property to enable up
> NOWAYOUT.  The static config isn't multiplatform-friendly.  Thoughts?

I fully agree with you that this property would fit perfectly in the device tree.  However, if we now add it *only* for the 52xx, but not for other device tree-aware platforms, this might be somewhat confusing.  The good thing is that it wouldn't break  
anything for the 5200 as the old wdt driver didn't work anyway.

One *real* advantage of the compile-time option is that it actually removes the code which stops the wdt.  I'm not a real expert in that, but if we argue that the system is "safe" as required by IEC/EN 61508 part 3, it's probably beneficial if we can show  
that there *is* no code to stop the wdt, not a snipplet only disabled by a flag.

Just my €0.01, though - maybe more insight from the WDT gurus?

Cheers, Albrecht.